suitesparse 1:3.4.0-1ubuntu1 source package in Ubuntu

Changelog

suitesparse (1:3.4.0-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes (LP: #387137):
    - debian/control:
      - demote libatlas-doc from recommends to suggests as it is not in main
      - drop recommends on doc-central as it is not in main

suitesparse (1:3.4.0-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * New upstream release
  * debian/patches/14-SPQR_Include_spqr_hpp.dpatch: Removed patch (applied
    upstream)

  * Split the libraries into individual packages
    + The new binary packages are (the soversion numbers are the ones
      provided by the upstream authors in the UFconfig/UFconfig.h file):
      - libamd2.2.0
      - libbtf1.1.0
      - libcamd2.2.0
      - libcolamd2.7.1
      - libccolamd2.7.1
      - libcholmod1.7.1
      - libcsparse2.2.3
      - libcxsparse2.2.3
      - libklu1.1.0
      - libldl2.0.1
      - libumfpack5.4.0
    + The libsuitesparse-dev and libsuitesparse-dbg packages remain as
      before.  They depend on all the binary packages above.
    + debian/library-soname.pl: New Perl script that is used everywhere to
      obtain the name of the package for each library.  This is the
      centralized place where this information should be provided.
    + The debian/control file has been moved into debian/control.in and is
      automatically generated by debian/rules with the appropriate names
      of the packages being replaced.
    + debian/patches/*.diff: All the patches have been adapted for
      obtaining the library soversion using the debian/library-soname.pl
      script.
    + debian/symbols/*, debian/install/*: These are the source files for
      the debian/lib*.symbols and debian/lib*.install.  The later are
      obtained from the former in debian/rules by using the appropriate
      package names.  For now, this is acomplished with $(foreach) in
      debian/rules and amounts to simply copying files, like
      "cp debian/symbols/AMD debian/libamd2.2.symbols"
    + debian/NEWS: Document the changes above

  * Switch from dpatch to quilt as patch system

  * debian/control.in:
    + The Debian packaging files are now maintained through a Git
      repository at alioth.debian.org.  Switch the Vcs-* URLs to Git,
      accordingly.
    + Bump Standards-Version to 3.8.1 (add debian/README.source explaining
      mentioning the quilt patch system, as mandated by the Policy)

  * debian/rules: Prevent removal of debian/README.source in clean rule

  [ Thomas Viehmann ]
  * Sprinkle some linking to KLU, UMFPACK shared libraries
    to not have unresolved symbols. Remove some from CHOLMOD.
    Now dpkg-shlibdeps does not warn anymore.
    (changing debian/patches/*Makefile.dpatch)
    Closes: #526422

 -- Nick Ellery <email address hidden>   Sun, 14 Jun 2009 19:15:52 -0700

Upload details

Uploaded by:
Nick Ellery on 2009-06-15
Sponsored by:
Daniel Holbach
Uploaded to:
Karmic
Original maintainer:
Ubuntu Development Team
Architectures:
any
Section:
math
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
suitesparse_3.4.0.orig.tar.gz 9.9 MiB fea78cca92a4f4a56dc482cc93abed6f37bd6a3c350bf7bc5bcd2d772c2852d4
suitesparse_3.4.0-1ubuntu1.diff.gz 22.3 KiB b382fb9dc5bb4edf9e674b86be0eb21564ea344f46361a4a4071b768abe33edc
suitesparse_3.4.0-1ubuntu1.dsc 1.8 KiB f725d31562a1705719df2cd9a10d4855980075dd52fda37df28607e4179f4e82

View changes file

Binary packages built by this source

libamd2.2.0: No summary available for libamd2.2.0 in ubuntu karmic.

No description available for libamd2.2.0 in ubuntu karmic.

libbtf1.1.0: No summary available for libbtf1.1.0 in ubuntu karmic.

No description available for libbtf1.1.0 in ubuntu karmic.

libcamd2.2.0: No summary available for libcamd2.2.0 in ubuntu karmic.

No description available for libcamd2.2.0 in ubuntu karmic.

libccolamd2.7.1: No summary available for libccolamd2.7.1 in ubuntu karmic.

No description available for libccolamd2.7.1 in ubuntu karmic.

libcholmod1.7.1: No summary available for libcholmod1.7.1 in ubuntu karmic.

No description available for libcholmod1.7.1 in ubuntu karmic.

libcolamd2.7.1: No summary available for libcolamd2.7.1 in ubuntu karmic.

No description available for libcolamd2.7.1 in ubuntu karmic.

libcsparse2.2.3: No summary available for libcsparse2.2.3 in ubuntu karmic.

No description available for libcsparse2.2.3 in ubuntu karmic.

libcxsparse2.2.3: No summary available for libcxsparse2.2.3 in ubuntu karmic.

No description available for libcxsparse2.2.3 in ubuntu karmic.

libklu1.1.0: No summary available for libklu1.1.0 in ubuntu karmic.

No description available for libklu1.1.0 in ubuntu karmic.

libldl2.0.1: No summary available for libldl2.0.1 in ubuntu karmic.

No description available for libldl2.0.1 in ubuntu karmic.

libsuitesparse-dbg: No summary available for libsuitesparse-dbg in ubuntu karmic.

No description available for libsuitesparse-dbg in ubuntu karmic.

libsuitesparse-dev: No summary available for libsuitesparse-dev in ubuntu karmic.

No description available for libsuitesparse-dev in ubuntu karmic.

libsuitesparse-doc: No summary available for libsuitesparse-doc in ubuntu karmic.

No description available for libsuitesparse-doc in ubuntu karmic.

libumfpack5.4.0: No summary available for libumfpack5.4.0 in ubuntu karmic.

No description available for libumfpack5.4.0 in ubuntu karmic.